EXP2(3)

NAME
exp2, exp2f, exp2l - base-2 exponential function

SYNOPSIS
#include <math.h>

double exp2(double x);
float exp2f(float x);
long double exp2l(long double x);

Compile with -std=c99; link with -lm.

DESCRIPTION
The exp2() function returns the value of 2 raised to the power of x.

CONFORMING TO
SVID 3, POSIX, 4.3BSD, ISO 9899. The float and the long double variants are C99 requirements.

SEE ALSO
cbrt(3), cexp2(3), exp(3), exp10(3), sqrt(3)